echo off
cls
cd \

:PROMPT
cls
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ   DRIVER/UTILITY for TVGA            Version UD5.6    08/10/93    บ
echo      บ                                                                   บ
echo      ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo      บ                                                                   บ
echo      บ   At least 2MB of hard disk space is required for installation.   บ
echo      บ                                                                   บ
echo      บ     1. Drive C:,         2. Drive D:,         3. Drive E:         บ
echo      บ                                                                   บ
echo      ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo      บ                                                                   บ
echo      บ   Select a number ( 1, 2, 3 ) to continue:     ( ESC to Exit )    บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
:menu1
KEYIN
IF ERRORLEVEL  49 IF NOT ERRORLEVEL  50 GOTO ins_C
IF ERRORLEVEL  67 IF NOT ERRORLEVEL  68 GOTO ins_C
IF ERRORLEVEL  99 IF NOT ERRORLEVEL 100 GOTO ins_C
IF ERRORLEVEL  50 IF NOT ERRORLEVEL  51 GOTO ins_D
IF ERRORLEVEL  68 IF NOT ERRORLEVEL  69 GOTO ins_D
IF ERRORLEVEL 100 IF NOT ERRORLEVEL 101 GOTO ins_D
IF ERRORLEVEL  51 IF NOT ERRORLEVEL  52 GOTO ins_E
IF ERRORLEVEL  69 IF NOT ERRORLEVEL  70 GOTO ins_E
IF ERRORLEVEL 101 IF NOT ERRORLEVEL 102 GOTO ins_E
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO EXIT
goto menu1

:ins_C
if exist c:\tvgautil goto insc
md c:\tvgautil
:insc
cls
:logo
echo TVGA Driver/Utility Disk, Version UD5.6
echo.
echo Installing files to drive C ....
echo.
echo.
echo PKWARE Inc. --- The Data Compression experts
echo.
echo 9025 N. Deerwood Drive
echo Brown Deer, WI 53223, USA
echo VC:  (414)354-8699
echo BBS: (414)354-8670
echo FAX: (414)354-8559
pkunzip -o -d tvgautil.zip c:\tvgautil
c:
cd \tvgautil
copy insc readme.bat
echo.
goto ins_uk

:ins_D
if exist d:\tvgautil goto insd
md d:\tvgautil
:insd
cls
:logo
echo TVGA Driver/Utility Disk, Version UD5.6
echo.
echo Installing files to drive D ....
echo.
echo.
echo PKWARE Inc. --- The Data Compression experts
echo.
echo 9025 N. Deerwood Drive
echo Brown Deer, WI 53223, USA
echo VC:  (414)354-8699
echo BBS: (414)354-8670
echo FAX: (414)354-8559
pkunzip -o -d tvgautil.zip d:\tvgautil
d:
cd \tvgautil
copy insd readme.bat
echo.
goto ins_uk

:ins_E
if exist c:\tvgautil goto inse
md e:\tvgautil
:inse
cls
:logo
echo TVGA Driver/Utility Disk, Version UD5.6
echo.
echo Installing files to drive E ....
echo.
echo.
echo PKWARE Inc. --- The Data Compression experts
echo.
echo 9025 N. Deerwood Drive
echo Brown Deer, WI 53223, USA
echo VC:  (414)354-8699
echo BBS: (414)354-8670
echo FAX: (414)354-8559
pkunzip -o -d tvgautil.zip e:\tvgautil
e:
cd \tvgautil
copy inse readme.bat
:ins_uk
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ                            IMPORTANT                              บ
echo      บ                                                                   บ
echo      บ        If you are a user of any European language (including UK)  บ
echo      บ   Windows 3.1,  you  need  a  special  Trident   utility  module  บ
echo      บ   WIN386.EXE  FOR EUROPEAN WINDOWS SUPPORT  installed to  ensure  บ
echo      บ   smooth operation.                                               บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
echo       Do you have any European language Windows 3.1 on your system? [y/n]
echo.
echo.
echo.
:QU_PATCH
KEYIN
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 GOTO UK_INST
IF ERRORLEVEL 121 IF NOT ERRORLEVEL 122 GOTO UK_INST
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 GOTO NO_UK_PATCH
IF ERRORLEVEL 110 IF NOT ERRORLEVEL 111 GOTO NO_UK_PATCH
goto QU_PATCH

:UK_INST
cls
echo.
echo         Do you know the name of the directory where Windows file
echo         WIN386.EXE is located? (e.g. C:\WINDOWS\SYSTEM) [y/n]
echo.
echo.

KEYIN
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 GOTO run_uk_tpatch
IF ERRORLEVEL 121 IF NOT ERRORLEVEL 122 GOTO run_uk_tpatch
goto info_uk_exit
:info_uk_exit
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ        Please press ESC to quit from installation and check the   บ
echo      บ  directory where Windows file WIN386.EXE is located,  then  run   บ
echo      บ  README in Driver/Utility disk to re-install utility.             บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
echo.
echo.
echo.
echo.
KEYIN
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO EXIT
goto EXIT


:run_uk_tpatch
cd \tvgautil\utility
tpatch
cd ..
goto ins_wp51

:NO_UK_PATCH
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ    If you will install any European language Windows 3.1 later,   บ
echo      บ  please  run  TPATCH program from  \TVGAUTIL\UTILITY  directory   บ
echo      บ  of your hard drive and select  WIN386.EXE FOR EUROPEAN WINDOWS   บ
echo      บ  SUPPORT utility after Windows 3.1 installation completed.  See   บ
echo      บ  your Driver/Utility manual for details.                          บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause

:ins_wp51
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ                            IMPORTANT                              บ
echo      บ                                                                   บ
echo      บ        If you are a user of WordPerfect 5.1 for DOS, you need a   บ
echo      บ   special Trident utility module TPATCH WORDPERFECT(version5.1)   บ
echo      บ   installed to ensure smooth  operation.                          บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
echo            Do you have WordPerfect 5.1 for DOS on your system? [y/n]
echo.
echo.
echo.
:Q_PATCH
KEYIN
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 GOTO INSTALL_PATCH
IF ERRORLEVEL 121 IF NOT ERRORLEVEL 122 GOTO INSTALL_PATCH
IF ERRORLEVEL 78 IF NOT ERRORLEVEL 79 GOTO NO_PATCH
IF ERRORLEVEL 110 IF NOT ERRORLEVEL 111 GOTO NO_PATCH
goto Q_PATCH

:INSTALL_PATCH
cls
echo.
echo            Do you know the name of the directory where WordPerfect 5.1 
echo            file STANDARD.VRS is located? [y/n]
echo.
echo.

KEYIN
IF ERRORLEVEL 89 IF NOT ERRORLEVEL 90 GOTO run_tpatch
IF ERRORLEVEL 121 IF NOT ERRORLEVEL 122 GOTO run_tpatch
goto info_exit
:run_tpatch
cd \tvgautil\utility
tpatch
cd ..
goto readme

:NO_PATCH
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ    If you will install WordPerfect 5.1 for DOS later, please run  บ
echo      บ  TPATCH program from  \TVGAUTIL\UTILITY directory  of your  hard  บ
echo      บ  drive  and  select  WORDPERFECT ( version 5.1 )  utility  after  บ
echo      บ  WordPerfect 5.1 installation completed. See your Driver/Utility  บ
echo      บ  manual for details.                                              บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause
goto readme

:readme
readme
goto EXIT

:info_exit
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo      ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      บ        Please press ESC to quit from installation and check the   บ
echo      บ  directory where WordPerfect file STANDARD.VRS is located, then   บ
echo      บ  run README in Driver/Utility disk to re-install utility.         บ
echo      บ                                                                   บ
echo      บ                                                                   บ
echo      ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo.
echo.
echo.
echo.
echo.
echo.
KEYIN
IF ERRORLEVEL 27 IF NOT ERRORLEVEL 28 GOTO EXIT

:EXIT


